Bug 1197485 - Wrong plugin directory
Summary: Wrong plugin directory
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: shinken
Version: 21
Hardware: armv7l
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Hannequin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-01 17:31 UTC by Jorge Martínez López
Modified: 2015-04-01 02:01 UTC (History)
1 user (show)

Fixed In Version: shinken-2.2-2.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-26 21:26:29 UTC
Type: Bug


Attachments (Terms of Use)

Description Jorge Martínez López 2015-03-01 17:31:19 UTC
Description of problem:

Shinken for armv7l default configuration can't find the Nagios plugin directory.


Version-Release number of selected component (if applicable):
2.2.1fc21


How reproducible:
Default configuration


Steps to Reproduce:
1. Launch shinken
2.
3.

Actual results:
Localhost shows as down  with error "[Errno 2] No such file or directory"


Expected results:


Additional info:
$ cat /etc/shinken/resource.d/path.cfg 
$PLUGINSDIR$=/usr/lib64/nagios/plugins

Changing that to 
$PLUGINSDIR$=/usr/lib/nagios/plugins

and reloading shinken-arbiter fixes this bug.

Comment 1 David Hannequin 2015-03-03 13:33:05 UTC
Hi,

Thank for report. I fix it quickly.

Best regard

Comment 2 Fedora Update System 2015-03-13 18:41:49 UTC
shinken-2.2-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/shinken-2.2-2.fc22

Comment 3 Fedora Update System 2015-03-13 20:15:11 UTC
shinken-2.2-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/shinken-2.2-2.el6

Comment 4 Fedora Update System 2015-03-13 20:16:04 UTC
shinken-2.2-2.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/shinken-2.2-2.el7

Comment 5 Fedora Update System 2015-03-13 20:16:48 UTC
shinken-2.2-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/shinken-2.2-2.fc20

Comment 6 Fedora Update System 2015-03-13 20:19:01 UTC
shinken-2.2-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/shinken-2.2-2.fc21

Comment 7 Fedora Update System 2015-03-14 09:20:41 UTC
Package shinken-2.2-2.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing shinken-2.2-2.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-3883/shinken-2.2-2.fc22
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2015-03-26 21:26:29 UTC
shinken-2.2-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2015-03-26 21:49:31 UTC
shinken-2.2-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2015-03-26 21:58:29 UTC
shinken-2.2-2.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2015-04-01 01:55:27 UTC
shinken-2.2-2.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2015-04-01 02:01:03 UTC
shinken-2.2-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.